summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-12-13 15:05:20 +0100
committerJustin Lecher <jlec@gentoo.org>2015-12-13 15:05:28 +0100
commit029adf977532057704330e72966833c093497544 (patch)
tree84d6ad90b4284473c19212713759a7d05fc0b3c7
parentdev-python/pytest: Version Bump (diff)
downloadgentoo-029adf977532057704330e72966833c093497544.tar.gz
gentoo-029adf977532057704330e72966833c093497544.tar.bz2
gentoo-029adf977532057704330e72966833c093497544.zip
dev-libs/boost: Backport fix for python ABI letters
Package-Manager: portage-2.2.26 Signed-off-by: Justin Lecher <jlec@gentoo.org>
-rw-r--r--dev-libs/boost/boost-1.56.0-r1.ebuild11
1 files changed, 10 insertions, 1 deletions
diff --git a/dev-libs/boost/boost-1.56.0-r1.ebuild b/dev-libs/boost/boost-1.56.0-r1.ebuild
index 8059695ecf7..5eda4498559 100644
--- a/dev-libs/boost/boost-1.56.0-r1.ebuild
+++ b/dev-libs/boost/boost-1.56.0-r1.ebuild
@@ -75,10 +75,19 @@ create_user-config.jam() {
fi
if python_bindings_needed; then
+ # boost expects libpython$(pyver) and doesn't allow overrides
+ # and the build system is so creepy that it's easier just to
+ # provide a symlink (linker's going to use SONAME anyway)
+ # TODO: replace it with proper override one day
+ ln -f -s "$(python_get_library_path)" "${T}/lib${EPYTHON}$(get_libname)" || die
+
if tc-is-cross-compiler; then
python_configuration="using python : ${EPYTHON#python} : : ${SYSROOT:-${EROOT}}/usr/include/${EPYTHON} : ${SYSROOT:-${EROOT}}/usr/$(get_libdir) ;"
else
- python_configuration="using python : : ${PYTHON} ;"
+ # note: we need to provide version explicitly because of
+ # a bug in the build system:
+ # https://github.com/boostorg/build/pull/104
+ python_configuration="using python : ${EPYTHON#python} : ${PYTHON} : $(python_get_includedir) : ${T} ;"
fi
fi